¿Cómo libero espacio / boot? -- boot campo con partitioning campo con dependencies camp askubuntu Relacionados El problema

How do I free up space on /boot?


2
vote

problema

Español

Entonces, leí a través de algunos mensajes similares, sin embargo, no pude solucionar mi problema porque estoy recibiendo muchos errores al intentar seguir las soluciones.

Mi problema es que cada vez que comienzo mi sistema dice que la unidad de arranque está llena, por lo tanto, básicamente no puedo instalar nada en este momento. Tengo 37 GB de espacio libre en mi disco (es una unidad USB pequeña).

Así que aquí está lo que hice hasta ahora.

uname - r

  4.10.0-42-generic   

awk '/ ^ ii / {impresión $ 2}' | GREP -V -E ABCDEFGHIJKLMNABCDEFGHIJKLMN1 | grep -e '[0-9]'

     linux-headers-4.10.0-28 linux-headers-4.10.0-28-generic    linux-headers-4.10.0-37 linux-headers-4.10.0-37-generic    linux-headers-4.10.0-38 linux-headers-4.10.0-38-generic    linux-headers-4.10.0-40 linux-headers-4.10.0-40-generic    linux-headers-4.4.0-103 linux-headers-4.4.0-103-generic    linux-headers-4.4.0-104 linux-headers-4.4.0-104-generic    linux-headers-4.4.0-98 linux-headers-4.4.0-98-generic    linux-image-4.10.0-28-generic linux-image-4.10.0-37-generic    linux-image-4.10.0-38-generic linux-image-4.10.0-40-generic    linux-image-4.4.0-103-generic linux-image-4.4.0-104-generic    linux-image-4.4.0-98-generic   

sudo apt-get -y purga

  Reading package lists... Done Building dependency tree        Reading state information... Done You might want to run 'apt-get -f install' to correct these. The following packages have unmet dependencies:  linux-image-extra-4.4.0-109-generic : Depends: linux-image-4.4.0-109-generic but it is not installed  linux-image-extra-4.4.0-116-generic : Depends: linux-image-4.4.0-116-generic but it is not installed  linux-image-generic : Depends: linux-image-4.4.0-116-generic but it is not installed E: Unmet dependencies. Try using -f.   

Esta es una cosa que probé y, básicamente, siempre muestra dependencias insatisfechas, sin importar el tipo de solución que intento. Realmente no sé lo que estoy haciendo de todos modos, solo quiero el espacio libre en / boot.


  sudo apt-get install aptitude [sudo] password for someone:  Reading package lists... Done Building dependency tree        Reading state information... Done You might want to run 'apt-get -f install' to correct these: The following packages have unmet dependencies:  aptitude : Depends: aptitude-common (= 0.7.4-2ubuntu2) but it is not going to be installed             Depends: libcwidget3v5 but it is not going to be installed  linux-image-extra-4.4.0-109-generic : Depends: linux-image-4.4.0-109-generic but it is not going to be installed  linux-image-extra-4.4.0-116-generic : Depends: linux-image-4.4.0-116-generic but it is not going to be installed  linux-image-generic : Depends: linux-image-4.4.0-116-generic but it is not going to be installed E: Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a solution).   
Original en ingles

so I read through some similar posts however I wasn't able to fix my problem because I'm getting a lot of errors when trying to follow the solutions.

My problem is that whenever I start my system it says the boot drive is full therefore I basically can't install anything right now. I have 37 GB free space on my disk ( it's a small USB drive).

So here's what I did so far.

uname - r

4.10.0-42-generic 

awk '/^ii/{ print $2}' | grep -v -e uname -r | cut -f1,2 -d"-" | grep -e '[0-9]'

   linux-headers-4.10.0-28 linux-headers-4.10.0-28-generic    linux-headers-4.10.0-37 linux-headers-4.10.0-37-generic    linux-headers-4.10.0-38 linux-headers-4.10.0-38-generic    linux-headers-4.10.0-40 linux-headers-4.10.0-40-generic    linux-headers-4.4.0-103 linux-headers-4.4.0-103-generic    linux-headers-4.4.0-104 linux-headers-4.4.0-104-generic    linux-headers-4.4.0-98 linux-headers-4.4.0-98-generic    linux-image-4.10.0-28-generic linux-image-4.10.0-37-generic    linux-image-4.10.0-38-generic linux-image-4.10.0-40-generic    linux-image-4.4.0-103-generic linux-image-4.4.0-104-generic    linux-image-4.4.0-98-generic 

sudo apt-get -y purge

Reading package lists... Done Building dependency tree        Reading state information... Done You might want to run 'apt-get -f install' to correct these. The following packages have unmet dependencies:  linux-image-extra-4.4.0-109-generic : Depends: linux-image-4.4.0-109-generic but it is not installed  linux-image-extra-4.4.0-116-generic : Depends: linux-image-4.4.0-116-generic but it is not installed  linux-image-generic : Depends: linux-image-4.4.0-116-generic but it is not installed E: Unmet dependencies. Try using -f. 

This is one thing I tried and it's basically always showing unmet dependencies no matter what type of solution I'm trying to go for. I really don't know what I'm doing anyway, just want to free space on /boot.


sudo apt-get install aptitude [sudo] password for someone:  Reading package lists... Done Building dependency tree        Reading state information... Done You might want to run 'apt-get -f install' to correct these: The following packages have unmet dependencies:  aptitude : Depends: aptitude-common (= 0.7.4-2ubuntu2) but it is not going to be installed             Depends: libcwidget3v5 but it is not going to be installed  linux-image-extra-4.4.0-109-generic : Depends: linux-image-4.4.0-109-generic but it is not going to be installed  linux-image-extra-4.4.0-116-generic : Depends: linux-image-4.4.0-116-generic but it is not going to be installed  linux-image-generic : Depends: linux-image-4.4.0-116-generic but it is not going to be installed E: Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a solution). 
        
     
     

Lista de respuestas

2
 
vote

Suponiendo que los dos kernels que querrá mantener son:

  linux-headers-4.10.0-38 linux-headers-4.10.0-38-generic linux-headers-4.10.0-40 linux-headers-4.10.0-40-generic   

Así que elimine los otros de /boot a espacio libre:

  sudo rm /boot/*4.10.0-28* sudo rm /boot/*4.10.0-37* sudo rm /boot/*4.4.0-103* sudo rm /boot/*4.4.0-104* sudo rm /boot/*4.4.0-98* sudo rm /boot/*4.10.0-28* sudo rm /boot/*4.10.0-38* sudo rm /boot/*4.4.0-103* sudo rm /boot/*4.4.0-98*   

Esto le ahorrará unos 500 MB en ABCDEFGHIJKLMNABCDEFGHIJKLMN3 , pero no elimina los paquetes del kernel completamente. Para hacer ese uso:

  sudo apt autoremove   
 

Assuming the two kernels you will want to keep are:

linux-headers-4.10.0-38 linux-headers-4.10.0-38-generic linux-headers-4.10.0-40 linux-headers-4.10.0-40-generic 

So delete the others out of /boot to free space:

sudo rm /boot/*4.10.0-28* sudo rm /boot/*4.10.0-37* sudo rm /boot/*4.4.0-103* sudo rm /boot/*4.4.0-104* sudo rm /boot/*4.4.0-98* sudo rm /boot/*4.10.0-28* sudo rm /boot/*4.10.0-38* sudo rm /boot/*4.4.0-103* sudo rm /boot/*4.4.0-98* 

This will save you about 500 MB in /boot but doesn't remove the kernel packages fully. To do that use:

sudo apt autoremove 
 
 
0
 
vote

Puede eliminar los paquetes de kernel no utilizados simplemente escribiendo:

  ABCDEFGHIJKLMNABCDEFGHIJKLMN5   
 

You can remove unused kernel packages by simply typing:

sudo apt autoremove 
 
 
 
 
0
 
vote

Este es un wiki comunitario. Siéntase libre de editar.

Espacio de disco insuficiente

Primero, sospecho que no tiene una partición ABCDEFGHIJKLMNABCDEFGHIJKLMN6 "ABCDEFGHIJKLMNABCDEFGHIJKLMN6; Puede consultar examinando la salida del comando ABCDEFGHIJKLMNABCDEFGHIJKLMN8 .

Para liberar espacio en el disco, mire en $HOME/.cache/ y /boot0 para los archivos para eliminar. También puede ejecutar /boot1 o abcdefhijklmnabcdefghijklmn12 . La diferencia entre los dos comandos es ABCDEFGHIJKLMNABCDEFGHIJKLMN13 elimina solo archivos de DEB obsoletos, mientras que ABCDEFGHIJKLMNABCDEFGHIJKLMN14 elimina todos los archivos DEB.

Intente usar ABCDEFGHIJKLMNABCDEFGHIJKLMN15 Si lo tiene instalado porque intentará resolver las dependencias, mientras que /boot6 y abcdefhijklmnabcdefghijklmn17 no.

Si /boot8 no está disponible para usted, intente eliminar cada paquete individual uno a la vez con /boot9 . Comenzaría con los paquetes ABCDEFGHIJKLMNABCDEFGHIJKLMN20 porque eliminando accidentalmente un incorrecto de aquellos es menos probable que resulte en un sistema no bootable.

También puede buscar sudo rm /boot/*4.10.0-28* sudo rm /boot/*4.10.0-37* sudo rm /boot/*4.4.0-103* sudo rm /boot/*4.4.0-104* sudo rm /boot/*4.4.0-98* sudo rm /boot/*4.10.0-28* sudo rm /boot/*4.10.0-38* sudo rm /boot/*4.4.0-103* sudo rm /boot/*4.4.0-98* 1 Paquetes para eliminar si normalmente no realiza mucha codificación.

En el futuro, ABCDEFGHIJKLMNABCDEFGHIJKLMN22 y ABCDEFGHIJKLMNABCDEFGHIJKLMN23 Puede ser útil para mantener los paquetes extraños al mínimo.

espacio insuficiente en sudo rm /boot/*4.10.0-28* sudo rm /boot/*4.10.0-37* sudo rm /boot/*4.4.0-103* sudo rm /boot/*4.4.0-104* sudo rm /boot/*4.4.0-98* sudo rm /boot/*4.10.0-28* sudo rm /boot/*4.10.0-38* sudo rm /boot/*4.4.0-103* sudo rm /boot/*4.4.0-98* 4 partición

ADVERTENCIA: Messing con el sudo rm /boot/*4.10.0-28* sudo rm /boot/*4.10.0-37* sudo rm /boot/*4.4.0-103* sudo rm /boot/*4.4.0-104* sudo rm /boot/*4.4.0-98* sudo rm /boot/*4.10.0-28* sudo rm /boot/*4.10.0-38* sudo rm /boot/*4.4.0-103* sudo rm /boot/*4.4.0-98* 5 La partición puede resultar en un sistema no bootable.

Ir a sudo rm /boot/*4.10.0-28* sudo rm /boot/*4.10.0-37* sudo rm /boot/*4.4.0-103* sudo rm /boot/*4.4.0-104* sudo rm /boot/*4.4.0-98* sudo rm /boot/*4.10.0-28* sudo rm /boot/*4.10.0-38* sudo rm /boot/*4.4.0-103* sudo rm /boot/*4.4.0-98* 6 y eliminar archivos IMG no asociados con el kernel que se está utilizando actualmente.

 

This is a community wiki. Feel free to edit.

Insufficient Disk Space

First, I suspect you do not have a separate /boot partition because a full /boot partition should not affect the installation of non-kernel packages. You can check by examining the output of the df command.

To free up disk space, look in $HOME/.cache/ and /var/cache/ for files to delete. You may also run apt-get autoclean or apt-get clean. The difference between the two commands is autoclean removes only obsolete deb files, while clean removes all deb files.

Try using aptitude if you have it installed because it will attempt to resolve dependencies, whereas apt and apt-get do not.

If aptitude is not available to you, try to remove each individual package one at a time with apt-get remove [package]. I would start with the linux-headers-* packages because accidentally removing a wrong one of those is less likely to result in an unbootable system.

You can also look for *-dev packages to remove if you do not normally do much coding.

In the future, debfoster and deborphan may be helpful for keeping extraneous packages to a minimum.

Insufficient space on /boot Partition

Warning: Messing with the /boot partition may result in an unbootable system.

Go to /boot and delete img files not associated with the kernel currently being used.

 
 
     
     

Relacionados problema

0  No se puede instalar nada debido al problema de dependencia  ( Unable to install anything due to dependency problem ) 
Este mensaje se muestra cada vez que intento instalar cualquier cosa. Por favor, buenas personas, cuento con Ubuntu. No puedo volver a Windows. Por favor ayu...

2  LIBETPAN15 no está instalable al intentar instalar el Dock de El Cairo  ( Libetpan15 not installable when trying to install cairo dock ) 
Al agregar el Dock Cairo a Ubuntu 12.04, recibo este mensaje que me dice que necesito una dependencia. ¿Qué hago ahora para continuar con la instalación? T...

3  No se puede instalar la oficina de WPS [duplicar]  ( Cannot install wps office ) 
Esta pregunta ya tiene respuestas aquí : e: paquete 'libpng12-0' no tiene Candidato de la instalació...

2  Dependencia rota libgcrypt11  ( Broken libgcrypt11 dependency ) 
He ejecutado un comando apt-get update && apt-get upgradeDefghijklmn8Defghijklmn8. El proceso completado (con un error): ABCDEFGHIJKLMNABCDEFGHIJKLMN9 a...

2  12.04 Actualización MI SISTEMA  ( 12 04 upgrade hosed my system ) 
Desearía poder ser más específico. Instalé la actualización del administrador de actualizaciones y después de reiniciar la computadora, encontré que no podía ...

0  ¿Cómo instalar las dependencias de WebSocket ++?  ( How to install websocket dependencies ) 
Estoy tratando de desarrollar aplicaciones websocket en C ++. He elegido usar WebSocket ++ ya que es un ABCDEFGHIJKLMNABCDEFGHIJKLMN5 que no intenta retro...

1  Instale Python2.7 Problemas de dependencias insatisfechas - Ubuntu 18.04  ( Install python2 7 unmet dependencies problems ubuntu 18 04 ) 
Recientemente limpio, reinstaló Ubuntu 18.04 y ahora quería instalar Python2.7 para varias otras dependencias, sin embargo, no puedo hacerlo. Correr sudo apt...

592  ¿Cómo resuelvo las dependencias no satisfechas después de agregar un PPA?  ( How do i resolve unmet dependencies after adding a ppa ) 
Ocasionalmente, cuando estoy instalando cosas, recibo un error como lo siguiente: Some packages could not be installed. This may mean that you have request...

0  Las dependencias del paquete no se pueden resolver Ayuda [DUPLICADO]  ( Package dependencies cannot be resolved help ) 
Esta pregunta ya tiene respuestas aquí : ¿Cómo resuelvo las dependencias no satisfechas después de a...

0  Sudo apt-get -f Instale error GCC-6-Base  ( Sudo apt get f install error gcc 6 base ) 
No puedo instalar anualmente en mi compuerta, obteniendo este error, incluso si intento instalar sudo apt-get -f. Utilizando Ubuntu 17.04 64 bits dpkg: dep...




© 2022 respuesta.top Reservados todos los derechos. Centro de preguntas y respuestas reservados todos los derechos